org.codehaus.groovy.control.io

## Class FileReaderSource

- java.lang.Object
- - org.codehaus.groovy.control.io.AbstractReaderSource
  - - org.codehaus.groovy.control.io.FileReaderSource

- All Implemented Interfaces:
    HasCleanup, ReaderSource

      public class FileReaderSource
      extends AbstractReaderSource

  A ReaderSource for source files.

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

      `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileReaderSource(java.io.File file, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Reader` | `getReader()` Returns a new Reader on the underlying source object.

    - ### Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

      `canReopenSource, cleanup, getLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileReaderSource

          public FileReaderSource(java.io.File file,
                          CompilerConfiguration configuration)

      Creates the ReaderSource from a File descriptor.
      Parameters:
        `file` - script source file
        `configuration` - configuration for compiling source

  - ### Method Detail

    - #### getReader

          public java.io.Reader getReader()
                                   throws java.io.IOException

      Returns a new Reader on the underlying source object.
      Returns:
        the reader to the resource
      Throws:
        `java.io.IOException` - if there was an error opening for stream